Subject: Re: [PATCH] skbuff more likely/unlikely

From: Mitchell Blank Jr <[email-masked]>
Date: Thu, 2 Oct 2003 19:34:31 -0700

Stephen Hemminger wrote:
> A couple more places where we can help by hinting the compiler
> for 2.6.0-test6.  If we are pulling off header, is is likely there;
> and skb alloc's succeed in the normal case.
> 
> Thought I saw an earlier similar patch, but here is my take on it.

Yes, my patch from a couple weeks ago does the same thing (but also
did a lot in skbuff.c)  I haven't had a chance to rediff and test
after the const parts went in.  Do you want to adopt the rest of the
changes?

Original patch:
  http://oss.sgi.com/projects/netdev/archive/2003-09/msg00036.html

-Mitch